Subject: Re: bug#27405: 25.2; Make eshell-next-prompt more reliable

From: Pierre Neidhardt <[email-masked]>
Date: Wed, 12 Jul 2017 14:06:05 +0100

Agreed.  If `eshell-highlight-prompt', then search for the first
read-only text, otherwise search for the regexp (less reliable).  No
need to bother with the regexp.  I don't think that anything but the
prompt would be read-only, but I may be wrong.